unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ExtCtrls;

type
  TfrmMain = class(TForm)
    memTemplate: TMemo;
    Label2: TLabel;
    memVariables: TMemo;
    Label3: TLabel;
    btnGetPage: TButton;
    OpenDialog: TOpenDialog;
    btnLoad: TButton;
    Label1: TLabel;
    edtFilename: TEdit;
    btnSave: TButton;
    Panel1: TPanel;
    memSource: TMemo;
    SaveDialog: TSaveDialog;
    procedure btnLoadClick(Sender: TObject);
    procedure btnGetPageClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
  public
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

uses
  SML_Handler_TLB;

procedure TfrmMain.btnLoadClick(Sender: TObject);
begin
  with OpenDialog do
  begin
    if Execute then
    begin
      with memTemplate.Lines do
      begin
        Clear;
        edtFilename.Text := ExtractFilename(Filename);
        LoadFromFile(Filename);
      end;
    end;
  end;
end;

procedure TfrmMain.btnGetPageClick(Sender: TObject);
var
  Variables: TStringList;
  PageProducer: SMLHandler;
begin
  Variables := TStringList.Create;
  try
    PageProducer := coSMLHandler.Create;
    try
      Variables.AddStrings(memVariables.Lines);
      Variables.Add('PI:PAGE=' + edtFilename.Text);
      memSource.Lines.Text := PageProducer.GetContent(Variables.CommaText);
    finally
      PageProducer := nil;
    end;
  finally
    Variables.Free;
  end;
end;

procedure TfrmMain.btnSaveClick(Sender: TObject);
begin
  with SaveDialog do
  begin
    InitialDir := OpenDialog.InitialDir;
    if Execute then
      memSource.Lines.SaveToFile(Filename);
  end;
end;

end.
